
%if !0%{?bootstrap}
%endif

%global framework %{name}

Name:    kdepim-runtime
Summary: KDE PIM Runtime Environment
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2
URL:     https://invent.kde.org/pim/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}




Provides:       akonadi-google = %{version}-%{release}
Provides:       akonadi-google-calendar = %{version}-%{release}
Provides:       akonadi-google-contacts = %{version}-%{release}
Provides:       akonadi-google-tasks = %{version}-%{release}

Requires:       %{name}-libs = %{version}-%{release}

BuildRequires:  desktop-file-utils
BuildRequires:  extra-cmake-modules
BuildRequires:  gettext
BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DAV)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5Holidays)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Kross)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5WindowSystem)

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  qt5-qtlocation-devel
BuildRequires:  qt5-qtxmlpatterns-devel
BuildRequires:  qt5-qtwebchannel-devel
BuildRequires:  qt5-qtwebengine-devel

BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  cmake(Qt5NetworkAuth)

%global kf5_ver 5.28
BuildRequires:  kf5-kcalendarcore-devel >= %{kf5_ver}

%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  kf5-akonadi-calendar-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-contact-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-mime-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-notes-devel >= %{majmin_ver}
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-grantleetheme-devel >= %{majmin_ver}
BuildRequires:  kf5-kcalendarutils-devel >= %{majmin_ver}
BuildRequires:  kf5-kidentitymanagement-devel >= %{majmin_ver}
BuildRequires:  kf5-kimap-devel >= %{majmin_ver}
BuildRequires:  kf5-kmailtransport-devel >= %{majmin_ver}
BuildRequires:  kf5-kmbox-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}
BuildRequires:  kf5-kpimtextedit-devel >= %{majmin_ver}
BuildRequires:  kf5-pimcommon-devel >= %{majmin_ver}
BuildRequires:  kf5-syndication-devel >= %{majmin_ver}
BuildRequires:  libkgapi-devel >= %{majmin_ver}
BuildRequires:  kf5-libkdepim-devel >= %{majmin_ver}
BuildRequires:  kf5-kldap-devel >= %{majmin_ver}
Requires: libkgapi >= %{majmin_ver}
BuildRequires:  cmake(KPim5PimCommon)

BuildRequires:  cmake(Qca-qt5)

Provides: bundled(libkolab) = 1.0.2

BuildRequires:  libkolabxml-devel >= 1.1

BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libxslt) pkgconfig(libxml-2.0)

BuildRequires:  pkgconfig(shared-mime-info)

%if !0%{?bootstrap}
BuildRequires:  cmake(Qt5TextToSpeech)
%endif

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: kf5-akonadi-server-mysql >= %{majmin_ver}
BuildRequires: xorg-x11-server-Xvfb
%endif

%description
%{summary}.

%package libs
Summary: %{name} runtime libraries
Requires: %{name} = %{version}-%{release}
Requires: kf5-akonadi-server >= %{version}
%description libs
%{summary}.


%prep
%autosetup -n kdepim-runtime-%{version}%{?pre} -p1


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html

rm -fv %{buildroot}%{_kf5_libdir}/lib{akonadi-filestore,folderarchivesettings,libakonadi-singlefileresource,kmindexreader,maildir}.so


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 20" -C %{_target_platform} ||:
%endif

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_bindir}/akonadi_*
%{_kf5_bindir}/gidmigrator
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_datadir}/akonadi/accountwizard/*
%{_kf5_datadir}/akonadi/agents/*
%{_kf5_datadir}/akonadi/firstrun/*
%{_kf5_datadir}/knotifications5/*
%{_kf5_datadir}/kservices5/akonadi/davgroupware-providers/*
%{_kf5_datadir}/mime/packages/kdepim-mime.xml
%{_kf5_datadir}/icons/hicolor/*/apps/*
%{_kf5_datadir}/dbus-1/interfaces/*.xml
%{_kf5_datadir}/applications/org.kde.akonadi_*.desktop


%files libs
%{_kf5_libdir}/libakonadi-filestore.so.5*
%{_kf5_libdir}/libfolderarchivesettings.so.5*
%{_kf5_libdir}/libakonadi-singlefileresource.so.5*
%{_kf5_libdir}/libkmindexreader.so.5*
%{_kf5_libdir}/libmaildir.so.5*
%{_kf5_plugindir}/kio/akonadi.so
%{_kf5_qtplugindir}/pim5/akonadi/config/
%{_kf5_qtplugindir}/pim5/kcms/kaddressbook/kcm_ldap.so
%{_kf5_qtplugindir}/pim5/mailtransport/mailtransport_akonadiplugin.so


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
